Subject: bug#40700: herd restart guix-publish crashes system

From: Efraim Flashner <[email-masked]>
Date: Mon, 20 Apr 2020 09:44:46 +0300

On Mon, Apr 20, 2020 at 12:22:51AM +0200, Ludovic Courtès wrote:
> Hi Efraim,
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > I saw that the guix-publish service on my Guix System desktop wasn't running
> > correctly so I went to restart it. I ran 'herd restart guix-publish' and
> > my machine instantly started to shut down.
> 
> Sounds scary.  Could you provide more info, for example
> /var/log/messages?
> 
> Thanks,
> Ludo’.

Looking over /var/log/messages I'm pretty sure this is the relevant part
(which doesn't look so helpful to me):

Apr 18 20:49:02 localhost vmunix: [  375.394141] perf: interrupt took too long (4950 > 4920), lowering
 kernel.perf_event_max_sample_rate to 40250
Apr 18 21:02:57 localhost -- MARK --
Apr 18 21:22:57 localhost -- MARK --
Apr 18 21:42:57 localhost -- MARK --
Apr 18 22:02:57 localhost -- MARK --
Apr 18 22:22:57 localhost -- MARK --
Apr 18 22:26:35 localhost shepherd[1]: Service guix-publish has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Exiting shepherd...
Apr 18 22:26:35 localhost shepherd[1]: Service console-font-tty2 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service term-tty2 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service ntpd has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service console-font-tty3 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service term-tty3 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service console-font-tty6 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service term-tty6 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service console-font-tty5 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service term-tty5 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service mcron has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service console-font-tty1 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service term-tty1 has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service tor has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service nscd has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service avahi-daemon has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service cups has been stopped.
Apr 18 22:26:35 localhost connmand[295]: Terminating
Apr 18 22:26:35 localhost shepherd[1]: Service networking has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service display-manager has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service elogind has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service upower-daemon has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service wpa-supplicant has been stopped.
Apr 18 22:26:35 localhost connman-vpnd[328]: D-Bus disconnect
Apr 18 22:26:35 localhost shepherd[1]: Service dbus-system has been stopped.
Apr 18 22:26:35 localhost shepherd[1]: Service pcscd has been stopped.
Apr 18 22:26:35 localhost syslogd: exiting on signal 15
Apr 18 22:29:01 localhost syslogd (GNU inetutils 1.9.4): restart

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted